%define module	pathtools

Name:		python-%{module}
Version:	0.1.2
Release:	%mkrel 11
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
License:	MIT
URL:		https://github.com/gorakhargosh/pathtools
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
# reported: https://github.com/gorakhargosh/pathtools/issues/13
Patch0:		pathtools-0.1.2-version_imp.patch

BuildArch:	noarch

%description
%{name} is a Python API library for common path
and pattern functionality.

%package -n	python3-%{module}
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
%{name} is a Python 3 API library for common path
and pattern functionality.

%prep
%autosetup -p1 -n %{module}-%{version}


# remove hashbang from lib's files
sed -i -e '/#!\//d' pathtools/*.py

# replace the marker from the imp-removal patch with the real version
sed -i -e "s,||VERSION||,'%{version}',g" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pathtools

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS README
%license LICENSE


%changelog
* Sun Dec 22 2024 daviddavid <daviddavid> 0.1.2-11.mga10
+ Revision: 2128936
- remove unneeded check section

* Thu Dec 28 2023 daviddavid <daviddavid> 0.1.2-10.mga10
+ Revision: 2022787
- use a hacky patch to get rid of imp usage so it'll build with Python 3.12
+ papoteur <papoteur>
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.1.2-9.mga9
+ Revision: 1822291
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.1.2-8.mga9
+ Revision: 1773068
- rebuild for python3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.1.2-7.mga9
+ Revision: 1707370
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.2-6.mga8
+ Revision: 1531950
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.1.2-5.mga8
+ Revision: 1441430
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.1.2-4.mga7
+ Revision: 1353721
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.2-3.mga7
+ Revision: 1289659
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.1.2-2.mga7
+ Revision: 1135541
- Rebuild for python 3.6

* Sun Apr 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1000101
- imported package python-pathtools

